<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_frequencias = array();
	$tdatasenuc_frequencias[".NumberOfChars"] = 80; 
	$tdatasenuc_frequencias[".ShortName"] = "senuc_frequencias";
	$tdatasenuc_frequencias[".OwnerID"] = "idnucleo";
	$tdatasenuc_frequencias[".OriginalTable"] = "senuc_frequencias";

//	field labels
$fieldLabelssenuc_frequencias = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["categoria"] = "Categoria";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["categoria"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["cpf"] = "Cpf";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["cpf"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["nome"] = "Nome";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["nome"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["mes"] = "Mes";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["mes"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["dias_abertura"] = "Dias Abertura";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["dias_abertura"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["presencas"] = "Presencas";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["presencas"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["data_insercao"] = "Data Insercao";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["data_insercao"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["operador"] = "Operador";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["operador"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["nome_nucleo"] = "Nome Nucleo";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["nome_nucleo"] = "";
	$fieldLabelssenuc_frequencias["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]["idregional"] = "";
	if (count($fieldToolTipssenuc_frequencias["Portuguese(Brazil)"]))
		$tdatasenuc_frequencias[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_frequencias[".NCSearch"] = true;



$tdatasenuc_frequencias[".shortTableName"] = "senuc_frequencias";
$tdatasenuc_frequencias[".nSecOptions"] = 1;
$tdatasenuc_frequencias[".recsPerRowList"] = 1;
$tdatasenuc_frequencias[".mainTableOwnerID"] = "idnucleo";
$tdatasenuc_frequencias[".moveNext"] = 1;
$tdatasenuc_frequencias[".nType"] = 0;

$tdatasenuc_frequencias[".strOriginalTableName"] = "senuc_frequencias";




$tdatasenuc_frequencias[".showAddInPopup"] = true;

$tdatasenuc_frequencias[".showEditInPopup"] = true;

$tdatasenuc_frequencias[".showViewInPopup"] = true;

$tdatasenuc_frequencias[".fieldsForRegister"] = array();

$tdatasenuc_frequencias[".listAjax"] = false;

	$tdatasenuc_frequencias[".audit"] = false;

	$tdatasenuc_frequencias[".locking"] = false;

$tdatasenuc_frequencias[".listIcons"] = true;
$tdatasenuc_frequencias[".edit"] = true;
$tdatasenuc_frequencias[".view"] = true;

$tdatasenuc_frequencias[".exportTo"] = true;

$tdatasenuc_frequencias[".printFriendly"] = true;

$tdatasenuc_frequencias[".delete"] = true;

$tdatasenuc_frequencias[".showSimpleSearchOptions"] = false;

$tdatasenuc_frequencias[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_frequencias[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_frequencias[".isUseAjaxSuggest"] = true;

$tdatasenuc_frequencias[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_frequencias[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_frequencias[".isUseTimeForSearch"] = false;




$tdatasenuc_frequencias[".allSearchFields"] = array();

$tdatasenuc_frequencias[".allSearchFields"][] = "nome_nucleo";
$tdatasenuc_frequencias[".allSearchFields"][] = "categoria";
$tdatasenuc_frequencias[".allSearchFields"][] = "nome";
$tdatasenuc_frequencias[".allSearchFields"][] = "cpf";
$tdatasenuc_frequencias[".allSearchFields"][] = "ano";
$tdatasenuc_frequencias[".allSearchFields"][] = "mes";
$tdatasenuc_frequencias[".allSearchFields"][] = "dias_abertura";
$tdatasenuc_frequencias[".allSearchFields"][] = "presencas";

$tdatasenuc_frequencias[".googleLikeFields"][] = "id";
$tdatasenuc_frequencias[".googleLikeFields"][] = "categoria";
$tdatasenuc_frequencias[".googleLikeFields"][] = "cpf";
$tdatasenuc_frequencias[".googleLikeFields"][] = "nome";
$tdatasenuc_frequencias[".googleLikeFields"][] = "ano";
$tdatasenuc_frequencias[".googleLikeFields"][] = "mes";
$tdatasenuc_frequencias[".googleLikeFields"][] = "dias_abertura";
$tdatasenuc_frequencias[".googleLikeFields"][] = "presencas";
$tdatasenuc_frequencias[".googleLikeFields"][] = "idnucleo";
$tdatasenuc_frequencias[".googleLikeFields"][] = "operador";
$tdatasenuc_frequencias[".googleLikeFields"][] = "data_insercao";
$tdatasenuc_frequencias[".googleLikeFields"][] = "idregional";
$tdatasenuc_frequencias[".googleLikeFields"][] = "nome_nucleo";


$tdatasenuc_frequencias[".advSearchFields"][] = "nome_nucleo";
$tdatasenuc_frequencias[".advSearchFields"][] = "categoria";
$tdatasenuc_frequencias[".advSearchFields"][] = "nome";
$tdatasenuc_frequencias[".advSearchFields"][] = "cpf";
$tdatasenuc_frequencias[".advSearchFields"][] = "ano";
$tdatasenuc_frequencias[".advSearchFields"][] = "mes";
$tdatasenuc_frequencias[".advSearchFields"][] = "dias_abertura";
$tdatasenuc_frequencias[".advSearchFields"][] = "presencas";

$tdatasenuc_frequencias[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_frequencias[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY senuc_frequencias.ano,senuc_frequencias.mes DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_frequencias[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_frequencias[".orderindexes"] = array();
$tdatasenuc_frequencias[".orderindexes"][] = array(5, (1 ? "ASC" : "DESC"), "senuc_frequencias.ano");
$tdatasenuc_frequencias[".orderindexes"][] = array(6, (0 ? "ASC" : "DESC"), "senuc_frequencias.mes");

$tdatasenuc_frequencias[".sqlHead"] = "SELECT senuc_frequencias.id,  senuc_frequencias.categoria,  senuc_frequencias.cpf,  senuc_frequencias.nome,  senuc_frequencias.ano as ano,  senuc_frequencias.mes as mes,  senuc_frequencias.dias_abertura,  senuc_frequencias.presencas,  senuc_frequencias.idnucleo,  senuc_frequencias.operador,  senuc_frequencias.data_insercao,  senuc_frequencias.idregional,  senuc_nucleo.nome AS nome_nucleo";
$tdatasenuc_frequencias[".sqlFrom"] = "FROM senuc_frequencias  INNER JOIN senuc_nucleo ON senuc_frequencias.idnucleo = senuc_nucleo.id";
$tdatasenuc_frequencias[".sqlWhereExpr"] = "";
$tdatasenuc_frequencias[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_frequencias[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_frequencias[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_frequencias = array();
$tableKeyssenuc_frequencias[] = "id";
$tdatasenuc_frequencias[".Keys"] = $tableKeyssenuc_frequencias;

$tdatasenuc_frequencias[".listFields"] = array();
$tdatasenuc_frequencias[".listFields"][] = "categoria";
$tdatasenuc_frequencias[".listFields"][] = "nome_nucleo";
$tdatasenuc_frequencias[".listFields"][] = "nome";
$tdatasenuc_frequencias[".listFields"][] = "cpf";
$tdatasenuc_frequencias[".listFields"][] = "ano";
$tdatasenuc_frequencias[".listFields"][] = "mes";
$tdatasenuc_frequencias[".listFields"][] = "dias_abertura";
$tdatasenuc_frequencias[".listFields"][] = "presencas";

$tdatasenuc_frequencias[".viewFields"] = array();
$tdatasenuc_frequencias[".viewFields"][] = "nome_nucleo";
$tdatasenuc_frequencias[".viewFields"][] = "categoria";
$tdatasenuc_frequencias[".viewFields"][] = "nome";
$tdatasenuc_frequencias[".viewFields"][] = "cpf";
$tdatasenuc_frequencias[".viewFields"][] = "ano";
$tdatasenuc_frequencias[".viewFields"][] = "mes";
$tdatasenuc_frequencias[".viewFields"][] = "dias_abertura";
$tdatasenuc_frequencias[".viewFields"][] = "presencas";

$tdatasenuc_frequencias[".addFields"] = array();

$tdatasenuc_frequencias[".inlineAddFields"] = array();

$tdatasenuc_frequencias[".editFields"] = array();
$tdatasenuc_frequencias[".editFields"][] = "categoria";
$tdatasenuc_frequencias[".editFields"][] = "nome";
$tdatasenuc_frequencias[".editFields"][] = "cpf";
$tdatasenuc_frequencias[".editFields"][] = "ano";
$tdatasenuc_frequencias[".editFields"][] = "mes";
$tdatasenuc_frequencias[".editFields"][] = "dias_abertura";
$tdatasenuc_frequencias[".editFields"][] = "presencas";

$tdatasenuc_frequencias[".inlineEditFields"] = array();

$tdatasenuc_frequencias[".exportFields"] = array();
$tdatasenuc_frequencias[".exportFields"][] = "nome_nucleo";
$tdatasenuc_frequencias[".exportFields"][] = "categoria";
$tdatasenuc_frequencias[".exportFields"][] = "nome";
$tdatasenuc_frequencias[".exportFields"][] = "cpf";
$tdatasenuc_frequencias[".exportFields"][] = "ano";
$tdatasenuc_frequencias[".exportFields"][] = "mes";
$tdatasenuc_frequencias[".exportFields"][] = "dias_abertura";
$tdatasenuc_frequencias[".exportFields"][] = "presencas";

$tdatasenuc_frequencias[".printFields"] = array();
$tdatasenuc_frequencias[".printFields"][] = "nome_nucleo";
$tdatasenuc_frequencias[".printFields"][] = "categoria";
$tdatasenuc_frequencias[".printFields"][] = "nome";
$tdatasenuc_frequencias[".printFields"][] = "cpf";
$tdatasenuc_frequencias[".printFields"][] = "ano";
$tdatasenuc_frequencias[".printFields"][] = "mes";
$tdatasenuc_frequencias[".printFields"][] = "dias_abertura";
$tdatasenuc_frequencias[".printFields"][] = "presencas";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "senuc_frequencias.id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["id"] = $fdata;
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Categoria"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "categoria"; 
		$fdata["FullName"] = "senuc_frequencias.categoria";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "categoria";
	
		
	$edata["LookupTable"] = "senuc_categoria";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["categoria"] = $fdata;
//	cpf
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "cpf";
	$fdata["GoodName"] = "cpf";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Cpf"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "cpf"; 
		$fdata["FullName"] = "senuc_frequencias.cpf";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["cpf"] = $fdata;
//	nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "nome";
	$fdata["GoodName"] = "nome";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Nome"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nome"; 
		$fdata["FullName"] = "senuc_frequencias.nome";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["nome"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "senuc_frequencias.ano";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["ano"] = $fdata;
//	mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "mes";
	$fdata["GoodName"] = "mes";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Mes"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "mes"; 
		$fdata["FullName"] = "senuc_frequencias.mes";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["mes"] = $fdata;
//	dias_abertura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "dias_abertura";
	$fdata["GoodName"] = "dias_abertura";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Dias Abertura"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "dias_abertura"; 
		$fdata["FullName"] = "senuc_frequencias.dias_abertura";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["dias_abertura"] = $fdata;
//	presencas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "presencas";
	$fdata["GoodName"] = "presencas";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Presencas"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "presencas"; 
		$fdata["FullName"] = "senuc_frequencias.presencas";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["presencas"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "senuc_frequencias.idnucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["idnucleo"] = $fdata;
//	operador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "operador";
	$fdata["GoodName"] = "operador";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Operador"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "operador"; 
		$fdata["FullName"] = "senuc_frequencias.operador";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["operador"] = $fdata;
//	data_insercao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "data_insercao";
	$fdata["GoodName"] = "data_insercao";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Data Insercao"; 
	$fdata["FieldType"] = 7;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "data_insercao"; 
		$fdata["FullName"] = "senuc_frequencias.data_insercao";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["data_insercao"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "senuc_frequencias.idregional";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["idregional"] = $fdata;
//	nome_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "nome_nucleo";
	$fdata["GoodName"] = "nome_nucleo";
	$fdata["ownerTable"] = "senuc_nucleo";
	$fdata["Label"] = "Nome Nucleo"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nome"; 
		$fdata["FullName"] = "senuc_nucleo.nome";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencias["nome_nucleo"] = $fdata;

	
$tables_data["senuc_frequencias"]=&$tdatasenuc_frequencias;
$field_labels["senuc_frequencias"] = &$fieldLabelssenuc_frequencias;
$fieldToolTips["senuc_frequencias"] = &$fieldToolTipssenuc_frequencias;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_frequencias"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_frequencias"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="senuc_aluno";
	$masterParams["mDataSourceTable"]="senuc_aluno";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_aluno";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "1";
	$masterParams["dispInfo"]= "0";
	$masterParams["previewOnList"]= 0;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_frequencias"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_frequencias"][$mIndex]["masterKeys"][]="cpf";
		$masterTablesData["senuc_frequencias"][$mIndex]["detailKeys"][]="cpf";

$mIndex = 2-1;
			$strOriginalDetailsTable="senuc_professores";
	$masterParams["mDataSourceTable"]="senuc_professores";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_professores";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "1";
	$masterParams["dispInfo"]= "0";
	$masterParams["previewOnList"]= 0;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_frequencias"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_frequencias"][$mIndex]["masterKeys"][]="cpf";
		$masterTablesData["senuc_frequencias"][$mIndex]["detailKeys"][]="cpf";

$mIndex = 3-1;
			$strOriginalDetailsTable="senuc_coordenador";
	$masterParams["mDataSourceTable"]="senuc_coordenador";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_coordenador";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "1";
	$masterParams["dispInfo"]= "0";
	$masterParams["previewOnList"]= 0;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_frequencias"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_frequencias"][$mIndex]["masterKeys"][]="cpf";
		$masterTablesData["senuc_frequencias"][$mIndex]["detailKeys"][]="cpf";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_frequencias()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "senuc_frequencias.id,  senuc_frequencias.categoria,  senuc_frequencias.cpf,  senuc_frequencias.nome,  senuc_frequencias.ano as ano,  senuc_frequencias.mes as mes,  senuc_frequencias.dias_abertura,  senuc_frequencias.presencas,  senuc_frequencias.idnucleo,  senuc_frequencias.operador,  senuc_frequencias.data_insercao,  senuc_frequencias.idregional,  senuc_nucleo.nome AS nome_nucleo";
$proto0["m_strFrom"] = "FROM senuc_frequencias  INNER JOIN senuc_nucleo ON senuc_frequencias.idnucleo = senuc_nucleo.id";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY senuc_frequencias.ano,senuc_frequencias.mes DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_frequencias"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "senuc_frequencias"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "cpf",
	"m_strTable" => "senuc_frequencias"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "senuc_frequencias"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_frequencias"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "ano";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_frequencias"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "mes";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "dias_abertura",
	"m_strTable" => "senuc_frequencias"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "presencas",
	"m_strTable" => "senuc_frequencias"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_frequencias"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "operador",
	"m_strTable" => "senuc_frequencias"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "data_insercao",
	"m_strTable" => "senuc_frequencias"
));

$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_frequencias"
));

$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "senuc_nucleo"
));

$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "nome_nucleo";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto31=array();
$proto31["m_link"] = "SQLL_MAIN";
			$proto32=array();
$proto32["m_strName"] = "senuc_frequencias";
$proto32["m_columns"] = array();
$proto32["m_columns"][] = "id";
$proto32["m_columns"][] = "categoria";
$proto32["m_columns"][] = "cpf";
$proto32["m_columns"][] = "nome";
$proto32["m_columns"][] = "ano";
$proto32["m_columns"][] = "mes";
$proto32["m_columns"][] = "dias_abertura";
$proto32["m_columns"][] = "presencas";
$proto32["m_columns"][] = "idnucleo";
$proto32["m_columns"][] = "idregional";
$proto32["m_columns"][] = "operador";
$proto32["m_columns"][] = "data_insercao";
$obj = new SQLTable($proto32);

$proto31["m_table"] = $obj;
$proto31["m_alias"] = "";
$proto33=array();
$proto33["m_sql"] = "";
$proto33["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto33["m_column"]=$obj;
$proto33["m_contained"] = array();
$proto33["m_strCase"] = "";
$proto33["m_havingmode"] = "0";
$proto33["m_inBrackets"] = "0";
$proto33["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto33);

$proto31["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto31);

$proto0["m_fromlist"][]=$obj;
												$proto35=array();
$proto35["m_link"] = "SQLL_INNERJOIN";
			$proto36=array();
$proto36["m_strName"] = "senuc_nucleo";
$proto36["m_columns"] = array();
$proto36["m_columns"][] = "id";
$proto36["m_columns"][] = "idregional";
$proto36["m_columns"][] = "login";
$proto36["m_columns"][] = "senha";
$proto36["m_columns"][] = "nome";
$proto36["m_columns"][] = "responsavel";
$proto36["m_columns"][] = "endereco";
$proto36["m_columns"][] = "cep";
$proto36["m_columns"][] = "estado";
$proto36["m_columns"][] = "cidade";
$proto36["m_columns"][] = "tipo";
$proto36["m_columns"][] = "site";
$proto36["m_columns"][] = "email";
$proto36["m_columns"][] = "telefone";
$proto36["m_columns"][] = "celular";
$proto36["m_columns"][] = "operadora";
$proto36["m_columns"][] = "data_inicio";
$proto36["m_columns"][] = "observacao";
$proto36["m_columns"][] = "prepara_para";
$proto36["m_columns"][] = "funciona_em";
$proto36["m_columns"][] = "ativo";
$proto36["m_columns"][] = "motivo";
$proto36["m_columns"][] = "id_mdl";
$proto36["m_columns"][] = "meta_funcionamento";
$proto36["m_columns"][] = "meta_alunos";
$proto36["m_columns"][] = "limite_alunos_por_coordenador";
$proto36["m_columns"][] = "min_presenca_coordenador";
$proto36["m_columns"][] = "min_presenca_professor";
$proto36["m_columns"][] = "min_presenca_aluno";
$proto36["m_columns"][] = "min_atividades";
$proto36["m_columns"][] = "data_ultimo_score";
$proto36["m_columns"][] = "ultimo_score";
$obj = new SQLTable($proto36);

$proto35["m_table"] = $obj;
$proto35["m_alias"] = "";
$proto37=array();
$proto37["m_sql"] = "senuc_frequencias.idnucleo = senuc_nucleo.id";
$proto37["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_frequencias"
));

$proto37["m_column"]=$obj;
$proto37["m_contained"] = array();
$proto37["m_strCase"] = "= senuc_nucleo.id";
$proto37["m_havingmode"] = "0";
$proto37["m_inBrackets"] = "0";
$proto37["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto37);

$proto35["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto35);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto39=array();
						$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_frequencias"
));

$proto39["m_column"]=$obj;
$proto39["m_bAsc"] = 1;
$proto39["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto39);

$proto0["m_orderby"][]=$obj;					
												$proto41=array();
						$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_frequencias"
));

$proto41["m_column"]=$obj;
$proto41["m_bAsc"] = 0;
$proto41["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto41);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_frequencias = createSqlQuery_senuc_frequencias();
													$tdatasenuc_frequencias[".sqlquery"] = $queryData_senuc_frequencias;
	
if(isset($tdatasenuc_frequencias["field2"])){
	$tdatasenuc_frequencias["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_frequencias["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_frequencias["field2"]["LookupType"] = 4;
	$tdatasenuc_frequencias["field2"]["LinkField"] = "email";
	$tdatasenuc_frequencias["field2"]["DisplayField"] = "name";
	$tdatasenuc_frequencias[".hasCustomViewField"] = true;
}

$tableEvents["senuc_frequencias"] = new eventsBase;
$tdatasenuc_frequencias[".hasEvents"] = false;

$cipherer = new RunnerCipherer("senuc_frequencias");

?>